class illusoft.GameTile006 extends illusoft.GameTile
{
   var levelComplete;
   var character;
   var dmc;
   var Enemy;
   var startJump = false;
   function GameTile006(id, dEngine, character, game, gamemc, nextLevel)
   {
      super(id,dEngine,character,game,gamemc,nextLevel);
   }
   function Update(x, y)
   {
      if(!this.levelComplete)
      {
         if(x > 1670 && y > 1000)
         {
            _global.sounds.LoopSound("jetstream",60);
         }
         else
         {
            _global.sounds.FadeVolume("jetstream",false,false);
         }
      }
      super.Update(x);
      if(this.dmc.btn_red.hitTest(this.character.dmc))
      {
         this.startJump = true;
         this.dmc.jump_mc.play();
      }
      if(this.startJump)
      {
         illusoft.Game.Instance.character.wheelPrimitive.setPos(this.dmc.jump_mc._x + this.dmc.jump_mc.star_mc._x,this.dmc.jump_mc._y + this.dmc.jump_mc.star_mc._y);
      }
   }
   function Init()
   {
      super.Init();
      this.Enemy = "s1/s2/s3/n1.nutbody/n2.nutbody/n3.nutbody";
      _global.sounds.StartMusic("loop2");
   }
   function Close()
   {
      _global.sounds.FadeVolume("jetstream",false,false);
      super.Close();
   }
   function LevelComplete()
   {
      this.levelComplete = true;
      _global.sounds.FadeVolume("jetstream",false,false);
   }
}
